## imagefreeze imagefreeze |

## Properties

gint | num-buffers | Read / Write

## Types and Values

struct | GstImageFreeze

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstImageFreeze

## Description

The imagefreeze element generates a still frame video stream from the input. It duplicates the first frame with the framerate requested by downstream, allows seeking and answers queries.

### Example launch line

    1
    gst-launch-1.0 -v filesrc location=some.png ! decodebin ! imagefreeze ! autovideosink

This pipeline shows a still frame stream of a PNG file.

## Synopsis

### Element Information

plugin | imagefreeze
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY)

name | src
direction | source
presence | always
details | video/x-raw(ANY)

## Functions

## Types and Values

### struct GstImageFreeze

    struct GstImageFreeze;

## Property Details

### The `“num-buffers”` property

      “num-buffers”              gint

Number of buffers to output before sending EOS (-1 = unlimited).

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1